Subject: RE: [Sip] RE: 100rel and early-session option tags (RFC 3959)

From: Chadha Retesh-A19894 <[email-masked]>
Date: Mon, 30 May 2005 18:13:27 +0530

I think early-session in REQUIRE, doesnt mandate 100rel. 
But also, early-session without PRACK surely doesnt make sense, as then how
will the answer to 1xx(for early session) go. UPDATE??
 
Rgds
Retesh

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Chauhan Bhavik-A20762
Sent: Monday, May 30, 2005 5:01 PM
To: [email-masked]; [email-masked]
Subject: [Sip] RE: 100rel and early-session option tags (RFC 3959)

Resending it. Any comments on this?
 
Thanks,
Bhavik

-----Original Message-----
From: Chauhan Bhavik-A20762 
Sent: Tuesday, May 24, 2005 10:53 AM
To: [email-masked]
Subject: 100rel and early-session option tags (RFC 3959)

Hi,
 
With Reference to RFC 3959 section 6,
 
I think "early-session" option tag must be accompanied "100rel" if it is in
"Require" header
to indicate "Reliability of Provisional Response" support as I didn't find
any relationship cited 
in RFCs. 
 
    Does "early-session" implicitly indicate that?
 
If not then,
 
1.
       A                                                      B
       ---INVITE(Require: early-session) ---->

(INVITE is without 100rel option)
As 100rel is not there what will be response from B?

2.   
       A
B
   ----INVITE(Supported: early-session) with OFFER ---->
     <---- 180 Reliable with early-offer & ANSWER----

(INVITE is without 100rel option )
What will be response from A as no 100rel supported?

Regards,
Bhavik Chauhan
 
Motorola India Eletronics Pvt Ltd.

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Malleswara Rao Ankem <[email-masked]>
Date: Tue, 31 May 2005 10:23:21 +0530

I guess the RFC 3959 completely misses out whether the "100rel" in
required in the Require/Supported headers. I think 3959 is very much
dependent on the
RFC 3262 which it doesnot explicitly say so. 
May be the Author of the RFC 3959 can clarify the same. 

regards

On 5/30/05, Chadha Retesh-A19894 <[email-masked]> wrote:
> Sip mailing list 
> https://www1.ietf.org/mailman/listinfo/sip